<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">
	<xsl:output method="text" indent="no"/>
	<xsl:template match="/">
		<xsl:for-each select="//java-source-code">
			<xsl:apply-templates select="."/>
			<xsl:if test="not(position()=last())">
				<xsl:text>...</xsl:text>
			</xsl:if>
		</xsl:for-each>		
	</xsl:template>
	<xsl:template match="codeline">
		<xsl:apply-templates/><xsl:text>&#10;</xsl:text>
	</xsl:template>
	<xsl:template match="token">
		<xsl:if test="not(@type='TK_EOF')">
			<xsl:value-of select="@lexeme" disable-output-escaping="yes"/>
		</xsl:if>
	</xsl:template>
	<xsl:template match="comment">
		<xsl:value-of select="text()" disable-output-escaping="yes"/>			
	</xsl:template>
	<xsl:template match="separator">
		<xsl:text>...&#10;</xsl:text>
	</xsl:template>
	<xsl:template match="sp">
		<xsl:text> </xsl:text>
	</xsl:template>
</xsl:stylesheet>